Package org.codehaus.groovy.tools

# Class StringHelper

java.lang.Object
org.codehaus.groovy.tools.StringHelper

public class StringHelper extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String[]`
  `tokenizeUnquoted(String s)`
  This method tokenizes a string by space characters, but ignores spaces in quoted parts,that are parts in '' or "".

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StringHelper

    public StringHelper()

- ## Method Details

  - ### tokenizeUnquoted

    public static String[] tokenizeUnquoted(String s)
    This method tokenizes a string by space characters, but ignores spaces in quoted parts,that are parts in '' or "". The method allows the usage of "" in '' and '' in "". The space character between tokens is not returned.
    Parameters:
      `s` - the string to tokenize
    Returns:
      the tokens